module input_params
integer, parameter :: P_NX = 1, P_NY = 2, P_NZ = 3
integer, parameter :: P_XMIN = 4, P_XMAX = 5, &
     &                P_YMIN = 6, P_YMAX = 7, &
     &                P_ZMIN = 8, P_ZMAX = 9
integer, parameter :: P_COURANT = 10, P_NSTEPS = 11, P_STARTTIME = 12
integer, parameter :: P_STOPCRITERION = 13
integer, parameter :: P_EXTBNDRYWIDTH = 14
integer, parameter :: P_MAXLEV = 15, P_REFINEFAC = 16
integer, parameter :: P_REGRIDTHRESH = 17
integer, parameter :: P_OUTER_BOUNDARY = 19
integer, parameter :: P_INNER_BOUNDARY = 20
integer, parameter :: P_ID_TYPE = 21
integer, parameter :: P_LINWAVE_AMP = 22, P_LINWAVE_WIDTH = 23
integer, parameter :: P_HOLE1_RAD = 24, P_HOLE2_RAD = 25
integer, parameter :: P_HOLE1_X = 26, P_HOLE1_Y = 27, P_HOLE1_Z = 28
integer, parameter :: P_HOLE2_X = 29, P_HOLE2_Y = 30, P_HOLE2_Z = 31
integer, parameter :: P_GCODE_SLICE = 32, P_GCODE_EXP = 33
integer, parameter :: P_LAPSE = 34
integer, parameter ::  P_SHIFT = 35
integer, parameter :: P_INITIAL_CONV = 36
integer, parameter :: P_AH_ILUCG = 37
integer, parameter :: P_AH_STP = 38
integer, parameter :: P_AH_EPS = 39
integer, parameter :: P_AH_NST = 40
integer, parameter :: P_AH_NSP = 41
integer, parameter :: P_AH_TOGGLE = 42
integer, parameter :: P_BOOST_SPEED = 43
! 44 undefined
integer, parameter :: P_HDF_DUMP = 45
integer, parameter :: P_EV_SCHEME = 46
! 47 undefined
integer, parameter :: P_BUF_ZONES = 48
integer, parameter :: P_IB_INTERP_TOGLE = 49
integer, parameter :: P_IB_SMOOTH_WIDTH = 50
integer, parameter :: P_IB_SMOOTH_PASS = 51
integer, parameter :: P_KERR_SPIN = 52
integer, parameter :: P_BNDRY_DERIV_ORDER = 53
integer, parameter :: P_INTERP_ORDER = 54
integer, parameter :: P_DISSIP_EPS = 55
integer, parameter :: P_CN_ITMAX = 56
integer, parameter :: P_CN_EPS = 57
integer, parameter :: P_OB_PERIODIC = 58
integer, parameter :: P_SHIFT_ZDIRVAL = 59
integer, parameter :: P_SHIFT_PFREQ = 60
integer, parameter :: P_SHIFT_P_XAMP = 61
integer, parameter :: P_SHIFT_P_YAMP = 62
integer, parameter :: P_SHIFT_P_ZAMP = 63
integer, parameter :: P_SHIFT_P_K = 64
integer, parameter :: P_SHIFT_P_ZPHASE = 65
integer, parameter :: P_SOMMFELD_TOGGLE = 66
integer, parameter :: P_SOMMFELD_RPOW = 67
integer, parameter :: P_INNER_FREEZE_RAD = 68
integer, parameter :: P_MASK_GEOM = 69
integer, parameter :: P_INT_DIFF=70
integer, parameter :: P_SCIVIZ = 87
integer, parameter :: P_PROCESSOR_ID = 88
integer, parameter :: P_NPROCS = 89
integer, parameter :: P_SPATIAL_STENCIL = 90
integer, parameter :: P_LOCAL_LOWER_X = 91
integer, parameter :: P_LOCAL_LOWER_Y = 92
integer, parameter :: P_LOCAL_LOWER_Z = 93
integer, parameter :: P_LOCAL_UPPER_X = 94
integer, parameter :: P_LOCAL_UPPER_Y = 95
integer, parameter :: P_LOCAL_UPPER_Z = 96
integer, parameter :: P_CURRENTTIME = 97
integer, parameter :: P_GRIDSPACING = 98
integer, parameter :: P_TIMESTEP = 99
end module

